# MyBlog

基于 ASP.Net Core Blazor开发的Blog项目

## 项目介绍

```tree
blog
 ├── LICENSE ------------ LICENSE
 ├── README.md ---------- README.md
 ├── image -------------- image
 └── src
     ├── MyBlog.Client ---------------------- Web项目
     ├── MyBlog.Entity ---------------------- 实体层，连接数据库
     ├── MyBlog.IRepository/Repository ------ 仓储层，提供数据访问方法
     ├── MyBlog.IService/Service ------------ 服务层，提供简单的CRUD
     ├── MyBlog.Model ----------------------- Model层
     ├── MyBlog.Server ---------------------- Api项目
     ├── MyBlog.Shared ---------------------- 共享层
```

## 预览

![1](image/2021-07-28_14-14.png)
![2](image/2021-07-28_14-14_1.png)
![3](image/2021-07-28_14-15_1.png)
![4](image/2021-07-28_14-16.png)
![5](image/2021-07-28_14-16_1.png)
![6](image/2021-07-28_14-15.png)
