﻿using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace MyBlog.Model
{
    public class BlogNews : BaseId
    {
        [Column(TypeName = "nvarchar(30)")]
        public string Title { get; set; }

        [Column(TypeName = "nvarchar(max)")]
        public string Content { get; set; }

        [Column(TypeName = "nvarchar(max)")]
        public string HtmlContent { get; set; }

        public DateTime Time { get; set; }

        public int BrowseCount { get; set; }

        public int LikeCount { get; set; }

        public int WriterId { get; set; }

        public int TypeInfoId { get; set; }

        public TypeInfo TypeInfo { get; set; }
        public WriterInfo WriterInfo { get; set; }
    }
}