﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace MyBlog.Model
{
    public class WriterInfo : BaseId
    {
        [Column(TypeName = "nvarchar(12)")]
        public string Name { get; set; }

        [Column(TypeName = "nvarchar(16)")]
        public string UserName { get; set; }

        [Column(TypeName = "nvarchar(64)")]
        public string UserPwd { get; set; }

        public BlogNews BlogNews { get; set; }

        public ICollection<RefreshToken> RefreshToken { get; set; }
    }
}