﻿using MyBlog.Model.DTO;
using MyBlog.Shared.ApiResult;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http.Json;
using System.Threading.Tasks;

namespace MyBlog.Client.Pages.Tags
{
    public partial class Tags
    {
        private List<TypeInfoDTO> tags;

        protected override async Task OnInitializedAsync()
        {
            var result = await Http.GetFromJsonAsync<ApiResponse<IEnumerable<TypeInfoDTO>>>("api/Type/GetTypes");

            if (result.Status != "200")
            {
                tags = new List<TypeInfoDTO>();
                Console.WriteLine(result.Message);
            }

            tags = result.Data.ToList();
        }
    }
}