﻿using Microsoft.AspNetCore.Components;
using Microsoft.AspNetCore.Components.Web;

namespace MyBlog.Client.Shared
{
    public partial class Box
    {
        [Parameter]
        public RenderFragment ChildContent { get; set; }

        [Parameter]
        public bool Open { get; set; } = true;

        [Parameter]
        public string ButtonText { get; set; } = "确定";

        [Parameter]
        public EventCallback<MouseEventArgs> OnClickCallBack { get; set; }

        private void Close() => Open = false;
    }
}